Page MenuHomePhabricator

Allow the usage of the URL parameter "testfilter" on [[Special:AbuseFilter/tools]] and [[Special:AbuseFilter/examine]]
Closed, ResolvedPublic

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:20 AM
bzimport set Reference to bz56784.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Nov 8 2013, 4:49 PM

Also, it would be helpful to allow the content of the textarea to be preloaded, as we can do e.g. on
https://en.wikipedia.org/wiki/Special:ExpandTemplates?wpInput=EXAMPLE
In this case, "wpInput" is the value of the "id" and the "name" attributes of the field, so for consistency, on
https://test.wikipedia.org/wiki/Special:AbuseFilter/test
and
https://test.wikipedia.org/wiki/Special:AbuseFilter/examine
the parameter should be "wpTestFilter" and on
https://test.wikipedia.org/wiki/Special:AbuseFilter/tools
it should be "wpTestExpr".

Not sure if this is "easy" enough for a new contributor who needs to find the right place in the code. Also, comment 1 might be a separate request.

He7d3r updated the task description. (Show Details)Jan 19 2016, 12:05 PM
He7d3r set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2016, 12:05 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 28 2016, 1:58 AM

Change 408076 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/AbuseFilter@master] Allow preloading text areas using URL parameter

https://gerrit.wikimedia.org/r/408076

Change 408076 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Allow preloading text areas using URL parameter

https://gerrit.wikimedia.org/r/408076

Huji closed this task as Resolved.Mar 6 2018, 12:28 AM
Huji removed a project: Patch-For-Review.